#
# spec file for package ghc-parallel
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name parallel
Name:           ghc-%{pkg_name}
Version:        3.2.1.1
Release:        lp150.1.8
Summary:        Parallel programming library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-rpm-macros

%description
This package provides a library for parallel programming.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc changelog.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Apr  9 2017 psimons@suse.com
- Update to version 3.2.1.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 3.2.1.0 revision 0 with cabal2obs.
* Sun Jan  3 2016 mimi.vx@gmail.com
- update to 3.2.1.0
  * Support base-4.9.0.0
  * Add {-# NOINLINE[1] rseq #-} to make the RULE more robust
  * Make rpar type signature consistent with rseq via type-synonym
  * Drop redundant Ix-constraint on seqArray/seqArrayBounds for GHC >= 8.0
* Mon Apr 13 2015 mimi.vx@gmail.com
- update to 3.2.0.6
  * Make `-Wall` message free for all supported `base` versions
  * Support `base-4.8.0.0`/`deepseq-1.4.0.0` (and thus GHC 7.10)
* Fri Sep 12 2014 peter.trommler@ohm-hochschule.de
- update to 3.2.0.4
  * no changelog
  * Haskell Platform 2014.2.0.0
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- more transparent packaging
* Sun Dec 30 2012 peter.trommler@ohm-hochschule.de
- expand macro in name tag to help source validator
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Wed Oct  3 2012 peter.trommler@ohm-hochschule.de
- update to 3.2.0.3 from upstream (no changelog)
- required by Haskell Platform 2012.4.0.0
* Sun Jun  3 2012 peter.trommler@ohm-hochschule.de
- update to 3.2.0.2 from upstream (no changelog)
- required by Haskell Platform 2012.2.0.0
* Tue Jan  3 2012 peter.trommler@ohm-hochschule.de
- Adjusted version number for platform 2011.4
* Tue Jan  3 2012 peter.trommler@ohm-hochschule.de
- Initial packaging.
